Update
curl --request PATCH \
--url https://{tenantDomain}.conductor.one/api/v1/golinks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"golink": {
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"prerequisite": {
"appEntitlementId": "<string>",
"appId": "<string>"
},
"routes": [
{
"isCanonical": true,
"routeTemplate": "<string>"
}
],
"target": {
"action": {
"actionId": "<string>"
},
"chooser": {
"options": [
{
"description": "<string>",
"label": "<string>",
"target": null
}
]
},
"redirect": {
"urlTemplate": "<string>"
}
}
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/golinks/{id}"
payload = {
"golink": {
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"prerequisite": {
"appEntitlementId": "<string>",
"appId": "<string>"
},
"routes": [
{
"isCanonical": True,
"routeTemplate": "<string>"
}
],
"target": {
"action": { "actionId": "<string>" },
"chooser": { "options": [
{
"description": "<string>",
"label": "<string>",
"target": None
}
] },
"redirect": { "urlTemplate": "<string>" }
}
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
golink: {
description: '<string>',
displayName: '<string>',
id: '<string>',
prerequisite: {appEntitlementId: '<string>', appId: '<string>'},
routes: [{isCanonical: true, routeTemplate: '<string>'}],
target: {
action: {actionId: '<string>'},
chooser: {options: [{description: '<string>', label: '<string>', target: null}]},
redirect: {urlTemplate: '<string>'}
}
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/golinks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"golink": {
"createdAt": "2023-11-07T05:31:56Z",
"currentVersion": 123,
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"prerequisite": {
"appEntitlementId": "<string>",
"appId": "<string>"
},
"routes": [
{
"isCanonical": true,
"routeTemplate": "<string>"
}
],
"status": "GO_LINK_STATUS_UNSPECIFIED",
"target": {
"action": {
"actionId": "<string>"
},
"chooser": {
"options": [
{
"description": "<string>",
"label": "<string>",
"target": null
}
]
},
"redirect": {
"urlTemplate": "<string>"
}
},
"updatedAt": "2023-11-07T05:31:56Z"
}
}Go Links
Update
Update a GoLink. Caller must be the owner.
PATCH
/
api
/
v1
/
golinks
/
{id}
Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The id field.
Body
application/json
Response
200 - application/json
Successful response
The GoLinkServiceUpdateResponse message.
GoLink is the API representation of a go-link.
Show child attributes
Show child attributes
Was this page helpful?